Inicio / Alerta Temprana / Avisos Seguridad / Múltiples vulnerabilidades en Ivanti Avalanche

Múltiples vulnerabilidades en Ivanti Avalanche

Fecha de publicación: 
11/11/2021
Importancia: 
5 - Crítica
Recursos afectados: 

Ivanti Avalanche, versiones anteriores a 6.3.3.

Descripción: 

El investigador chudy ha notificado 2 vulnerabilidades críticas que podrían permitir a un atacante remoto ejecutar código arbitrario y omitir la autenticación.

Solución: 

Actualizar a la versión 6.3.3.

Detalle: 
  • La vulnerabilidad se encuentra en el método saveConfig, debido a la falta de validación adecuada de los datos suministrados por el usuario, lo que podría permitir la carga de archivos arbitrarios. Se ha asignado el identificador CVE-2021-34989 para esta vulnerabilidad.
  • La vulnerabilidad se encuentra en la clase SettingsDaoImpl. Una solicitud especialmente diseñada podría desencadenar la ejecución de consultas SQL compuestas a partir de una cadena suministrada por el usuario. Se ha asignado el identificador CVE-2021-34990 para esta vulnerabilidad.

Encuesta valoración